Bug 149691 - No data avaliable for eth card
No data avaliable for eth card
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Brian Brock
:
Depends On:
Blocks: 156320
  Show dependency treegraph
 
Reported: 2005-02-25 06:43 EST by Radek Vokal
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2005-663
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 10:48:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-3c59x-2_6_12-rc2.patch (20.30 KB, patch)
2005-04-04 14:06 EDT, John W. Linville
no flags Details | Diff
jwltest-3c59x-ethtool.patch (11.60 KB, patch)
2005-04-05 16:46 EDT, John W. Linville
no flags Details | Diff

  None (edit)
Description Radek Vokal 2005-02-25 06:43:05 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
Ethtool doesn't show any info for a eth card. On RHEL3 box with
kernel-2.4.21-27.0.2.EL ethtool for eth0 shows

# ethtool eth0
Settings for eth0:
No data available

mii-tool resolves NIC correctly as

# mii-tool eth0
eth0: negotiated 100baseTx-FD, link ok

ethtool only reports the driver used

# ethtool -i eth0
driver: 3c59x
version: LK1.1.18-ac
firmware-version:
bus-info: 00:09.0

ifconfig
# ifconfig eth0
eth0      Link encap:Ethernet  HWaddr 00:0F:1F:78:0D:18
          inet addr:x.x.x.x  Bcast:x.x.x.255  Mask:255.255.255.0
          inet6 addr: fec0::1/64 Scope:Site
          inet6 addr: xxxx/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:343390 errors:0 dropped:0 overruns:0 frame:0
          TX packets:265084 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:312236399 (297.7 MiB)  TX bytes:32742871 (31.2 MiB)
          Base address:0xdf40 Memory:fcfe0000-fd000000


Version-Release number of selected component (if applicable):
ethtool-1.8-3.3

How reproducible:
Always

Steps to Reproduce:
1. ethtool eth0
2. observe the output
3.
    

Actual Results:  No data available

Expected Results:  "some" data

Additional info:
Comment 1 John W. Linville 2005-03-30 16:11:04 EST
This isn't "broken" per se...there just are no ethtool methods for anything
except get driver info. :-(

I'll look into adding some... :-)
Comment 2 John W. Linville 2005-04-04 14:06:24 EDT
Created attachment 112676 [details]
jwltest-3c59x-2_6_12-rc2.patch

It seems that the latest 3c59x driver upstream provides enhanced ethtool
support...
Comment 3 John W. Linville 2005-04-04 15:09:26 EDT
Pre-built test kernels are available here: 
 
   http://people.redhat.com/linville/kernels/rhel4/ 
 
Please give them a try and report the results.  Thanks! 
Comment 4 Radek Vokal 2005-04-05 02:51:20 EDT
Hmm, I'm not sure I can help with the test here. The machine with the NIC is
remote RHEL3 stable system used as a router and I'm not willing to break it :)
... But I cat try to change the card in the machine as soon as I get there and
test it on my computer. 
Comment 5 John W. Linville 2005-04-05 16:46:23 EDT
Created attachment 112729 [details]
jwltest-3c59x-ethtool.patch

Pretty sure it would be better to use a RHEL3-based patch and test
kernel...whoops!  Pre-built test kernels coming soon...
Comment 6 John W. Linville 2005-04-05 17:25:58 EDT
Pre-built kernels available here: 
 
   http://people.redhat.com/linville/kernels/rhel3/ 
 
Please test (at your convenience) and post the results.  Thanks! 
Comment 7 John W. Linville 2005-04-06 11:10:44 EDT
I have verified that the patch is working on my i686 RHEL3 box... 
Comment 9 Radek Vokal 2005-04-11 05:11:33 EDT
Works also for me, the output looks much more nicer .. 
Comment 10 Ernie Petrides 2005-04-22 20:40:13 EDT
A fix for this problem has just been committed to the RHEL3 U6
patch pool this evening (in kernel version 2.4.21-32.2.EL).
Comment 18 Red Hat Bugzilla 2005-09-28 10:48:35 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-663.html

Note You need to log in before you can comment on or make changes to this bug.